body {
    font-family: sans-serif;
}

table {
    width: 100%;
}

th, td {
    text-align: left;
    vertical-align: top;
}

input[type="text"], input[type="number"] {
    display: block;
    width: 80%;
    font-family: monospace;
    font-size: 1.2rem;
    padding: 0.1em 0.5em;
    border-radius: 0.3em;
}

.buttons {
    padding: 1em 0 0 2em;
}

.buttons button {
    padding: 0.2em 1em;
}

.buttons button + button {
    margin-left: 1em;
}

.error {
    color: orangered;
}

input.ng-invalid {
    border: thin solid red;
}
